Moved some dev tools from test/bin to dev/bin.
Added onos-create-app as a convenience.

Change-Id: Ide9b9801a0a1d2229a153b85e23766f6018a8267
diff --git a/tools/dev/bin/onos-create-app b/tools/dev/bin/onos-create-app
new file mode 100755
index 0000000..9546b1d
--- /dev/null
+++ b/tools/dev/bin/onos-create-app
@@ -0,0 +1,26 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Tool to create an application from scratch using ONOS Maven archetypes.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+type=${1:-bundle}
+
+if [ "$1" = "-?" -o "$1" = "-h" -o "$1" = "--help" ]; then
+    echo "usage: $(basename $0) {bundle|ui|cli|api} groupId artifactId version package mvn-options"
+    echo "        All arguments are optional"
+    exit 1
+fi
+
+otherOptions=""
+[ -n "$1" ] && shift
+[ -n "$1" ] && otherOptions="$otherOptions -DgroupId=$1" && shift
+[ -n "$1" ] && otherOptions="$otherOptions -DartifactId=$1" && shift
+[ -n "$1" ] && otherOptions="$otherOptions -Dversion=$1" && shift
+[ -n "$1" ] && otherOptions="$otherOptions -Dpackage=$1" && shift
+
+mvn archetype:generate -DarchetypeGroupId=org.onosproject \
+    -DarchetypeArtifactId=onos-$type-archetype -DarchetypeVersion=$ONOS_POM_VERSION \
+    $otherOptions "$@"
\ No newline at end of file